Conteníu

# On Error GoTo ... Resume Statement

Habilita una rutina de manexu de fallos dempués de producise éstos o sigue la execución del programa.

### Syntax:

    On [Local] Error {GoTo Labelname | GoTo 0 | Resume Next}

### Parameters:

GoTo NomeEtiqueta: Si produz un fallu, activa la rutina de manexu de fallos qu'empieza na llinia "NomeEtiqueta".

Resumi Next: Si produz un fallu, la execución del programa sigue cola instrucción que siguía a aquélla na que se produció l'erru.

GoTo 0: Desactiva'l remanador de fallos pal procedimientu actual.

Local: L'ámbitu de "On fallu" ye global, y permanez activu hasta que-y lu encaboxa por aciu otra sentencia "On fallu". Sicasí, l'ámbitu de "On Local fallu" ye local pa la rutina que la invoca. El manexu local de fallos anula cualquier configuración global previa. Cuando remata la rutina invocadora, atáyase automáticamente el manexu local del fallu, y restáurase la configuración global previa.

La instrucción On Fallu GoTo utilizar pa reaccionar a los fallos que se producen nuna macro.

### Example:

    Sub ExampleReset
    On Error GoTo ErrorHandler
        Dim iNumber As Integer
        Dim iCount As Integer
        Dim sLine As String
        Dim aFile As String
        aFile = "C:\Users\ThisUser\data.txt"
        iNumber = Freefile
        Open aFile For Output As #iNumber
        Print #iNúmberu, "Esta ye una ringlera de testu"
        Close #iNumber
        iNumber = Freefile
        Open aFile For Input As iNumber
        For iCount = 1 To 5
            Line Input #iNumber, sLine
            If sLine <>"" Then
                Rem
            End If
        Next iCount
        Close #iNumber
        Exit Sub
    ErrorHandler:
        Reset
        MsgBox "Tolos ficheros van zarrase",  0,  "Error"
    End Sub

Temes rellacionaos

Error-Handling Functions

Open Statement